addpath(fullfile(getenv('JCMROOT'), 'ThirdPartySupport', 'Matlab'));

% Definition of the search domain
domain = {}; 
domain(1).name = 'x1';
domain(1).type = 'continuous';
domain(1).domain = [-1.5, 1.5];
domain(2).name = 'x2';
domain(2).type = 'continuous';
domain(2).domain = [-1.5, 1.5];

% Creation of the optimization study object. This will automatically
% open a browser window with a dashboard showing the optimization progress.
study = jcmwave_optimizer_create_study('domain', domain, 'name', 'basic example');
study.set_parameters('max_iter', 80);

% Definition of the objective function
objective_basic = @(x1,x2) 10*2 + (x1^2-10*cos(2*pi*x1)) + (x2^2-10*cos(2*pi*x2));

% Run the minimization 
while(not(study.is_done))
    sug = study.get_suggestion();
    val = objective_basic(sug.sample.x1, sug.sample.x2);
    obs = study.new_observation();
    obs = obs.add(val);
    study.add_observation(obs, sug.id);
end

