function obs = objective(sample)
% Definition of the objective function. In order to speed up the minimization process
% derivative information is provided

x1 = sample.x1;
x2 = sample.x2;
x3 = sample.x3;

obs = Observation();
obs = obs.add(10*2 + (x1^2-10*cos(2*pi*x1)) + (x2^2-10*cos(2*pi*x2)) ...
              + 5*x3^2);
%derivative w.r.t. x1
obs = obs.add(2*x1 + 20*pi*sin(2*pi*x1), 'x1');
%derivative w.r.t. x2
obs = obs.add(2*x2 + 20*pi*sin(2*pi*x2), 'x2');
%derivative w.r.t. x3
obs = obs.add(10*x3, 'x3');
  
end
