Hostname = '<EC2 DNS>';
Login = 'ec2-user';
PEMFile = '<PATH TO PEM FILE>';
RemoteJCMROOT = '/home/ec2-user/bin/JCMsuite';

jcmwave_daemon_install_remote_environment(...
        'Hostname', Hostname,... 
        'Login', Login,...
        'JCMROOT', RemoteJCMROOT,...
        'PEMFile', PEMFile,...
        'IncludePython', 'No');

jcmwave_daemon_add_workstation(...
        'Hostname', Hostname,...
        'Login', Login,...
        'JCMROOT', RemoteJCMROOT,...
        'PEMFile', PEMFile,...
        'NThreads', 1,...
        'LicenseServerPort', 8992);

%% run some parallel parameter scan (see Tutorial example 'Parallel Parameter Scan')
radii = [0.3 : 0.05 : 0.5];
job_ids = [];

for radius = radii
  keys.radius = radius;
  job_ids(end+1) = jcmwave_solve('mie2D.jcmp', keys, 'temporary', 'yes');
end

[results, logs] = jcmwave_daemon_wait(job_ids);

scattering_cross_section_scan = [];
for iR = 1 : length(radii)
  scs = real(results{iR}{2}.ElectromagneticFieldEnergyFlux{1});
  scattering_cross_section_scan(end+1, 1 : 2) = [radii(iR), scs];
end

%% plot scattering cross section against rod radius
radii = scattering_cross_section_scan(:, 1);
scs = scattering_cross_section_scan(:, 2);
plot(radii, scs, '-+', 'LineWidth', 2);
xlabel('radius [\mu m]', 'FontSize', 14);
ylabel('integral scattering cross section', 'FontSize', 14);
set(gca, 'FontSize', 14);
jcmwave_daemon_shutdown();
