function obs = reflectivity(results, lambdas, permittivities, domain)
refl = 0;
derivatives = zeros(numel(domain),1);
pref = 1/numel(lambdas);
for ii = 1 : numel(lambdas)
    FC = results{ii}{2}.ElectricFieldStrength{1};
    this_refl = sum(real(FC).^2 + imag(FC).^2);
    refl = refl + pref*this_refl;
    for jj = 1 : numel(domain)
        dfT = getfield(results{ii}{2},['d_' domain(jj).name]);
        dFC = dfT.ElectricFieldStrength{1};
        d_this_refl = sum(2*(real(FC).*real(dFC) + imag(FC).*imag(dFC)));
        derivatives(jj) = derivatives(jj) + pref*d_this_refl;        
    end
end

obs = Observation();
obs = obs.add(refl);
deriv_vecs = eye(numel(domain));
for ii = 1 : numel(domain)
    obs = obs.add(derivatives(ii), deriv_vecs(ii,:));
end

end
