%% add JCMsuite`s matlab interface to search path

% try to read environmental variable JCMROOT
jcm_root = getenv('JCMROOT');

% otherwise ask user:
if isempty(jcm_root)
  fprintf('*** Please enter your JCMsuite installation path (absolute path in single quotes):');
  jcm_root = input(sprintf('\n'));
  if ~ischar(jcm_root) error('Invalid path value: expecting file name'); end;
  if exist(jcm_root, 'dir')~=7 error('%s not a directory', jcm_root); end;
end

addpath(fullfile(jcm_root, 'ThirdPartySupport', 'Matlab'));

%% check, if interface is available
try 
  jcmwave_info; 
catch error('JCMsuite`s Matlab interface not available'); end;

%% ask user which example to run
fprintf('\n*** Please select example to run:\n');

examples = {'ProjectSetup', 
            'KeywordSubstitution', 
            'ParameterScan', 
            'MatlabCodeSnippets'
            'Loops'
            'ParallelParameterScan'
            'PersistentParameterScan'
            'Optimization'}; 
n_examples = length(examples);
numbered_examples  = [num2cell(1 : n_examples); examples.'];        
fprintf('\n  [%d] %s', numbered_examples{:});

id = input(sprintf('\n\n***   ? ')) ;
if ~isnumeric(id) || mod(id, 1) || id<1 || id>length(examples)
  error('invalid choice: integer number 1-%d expected', n_examples);
end

%% change to the folder of the selected project and run the project
% (store pwd before)
cd(examples{id});
run;
cd ..;




